Groovy Documentation

## org.codehaus.groovy.grails.web.pages.exceptions
[Java] Class GroovyPagesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.pages.exceptions.GroovyPagesException

All Implemented Interfaces:
  SourceCodeAware

    public class GroovyPagesException
    extends GrailsException

Thrown when processing GSP pages.

Authors:
  Graeme Rocher

Since:
  0.5

Constructor Summary
`GroovyPagesException(java.lang.String message, java.lang.Exception e)`
`GroovyPagesException(java.lang.String message, java.lang.Throwable exception, int lineNumber, java.lang.String fileName)`
`GroovyPagesException(java.lang.String message)`

Method Summary
`java.lang.String` | `getFileName()`
`int` | `getLineNumber()`

Methods inherited from class java.lang.RuntimeException

java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#wait(), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Methods inherited from class java.lang.Exception

java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#wait(), java.lang.Exception#wait(long), java.lang.Exception#wait(long, int), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()

Methods inherited from class java.lang.Throwable

java.lang.Throwable#printStackTrace(java.io.PrintStream), java.lang.Throwable#printStackTrace(), java.lang.Throwable#printStackTrace(java.io.PrintWriter), java.lang.Throwable#fillInStackTrace(), java.lang.Throwable#getCause(), java.lang.Throwable#initCause(java.lang.Throwable), java.lang.Throwable#toString(), java.lang.Throwable#getMessage(), java.lang.Throwable#getLocalizedMessage(), java.lang.Throwable#getStackTrace(), java.lang.Throwable#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Throwable#wait(), java.lang.Throwable#wait(long), java.lang.Throwable#wait(long, int), java.lang.Throwable#equals(java.lang.Object), java.lang.Throwable#hashCode(), java.lang.Throwable#getClass(), java.lang.Throwable#notify(), java.lang.Throwable#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GroovyPagesException

    public GroovyPagesException(java.lang.String message, java.lang.Exception e)

### GroovyPagesException

    public GroovyPagesException(java.lang.String message, java.lang.Throwable exception, int lineNumber, java.lang.String fileName)

### GroovyPagesException

    public GroovyPagesException(java.lang.String message)

Method Detail

### getFileName

    public java.lang.String getFileName()

### getLineNumber

    public int getLineNumber()

Groovy Documentation